View Issue Details

IDProjectCategoryView StatusLast Update
13515Bug reports[All Projects] Survey designpublic2018-05-22 15:04
ReportertpartnerAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.5.x 
Target Version3.5.xFixed in Version3.7.x 
Summary13515: Cannot have a null default value when creating custom attributes in a custom question theme
Description

When creating a custom question theme attribute in config.xml, leaving the <default> tag empty results in a PHP error (the question attributes are not rendered).

Inserting only a double-quote (and nothing else) results in the double-quote appearing in the attribute input field - see attached screenshots.

Also attached, a sample custom question theme.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.1
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12-dev
Operating System (Server)Windows 10
Webserver software & versionApache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Activities

tpartner

tpartner

2018-03-21 21:32

developer  

autoComplete.zip (385,224 bytes)
capture-2.png (13,525 bytes)
capture-2.png (13,525 bytes)
capture-3.png (11,655 bytes)
capture-3.png (11,655 bytes)
dominikvitt

dominikvitt

2018-05-16 13:42

developer   ~47645

This commit https://github.com/LimeSurvey/LimeSurvey/commit/08677d11743398bd5acb8dcce9afd6ed7fa9e249
fixes the issue, on top of changes made in commit https://github.com/LimeSurvey/LimeSurvey/commit/2e60948cf1f55043bc9e8cc2eb7dbdb8571b836f.

Related Changesets

LimeSurvey: master 08677d11

2018-05-16 13:24:45

Dominik Vitt

Details Diff
Fixed issue 13515: Cannot have a null default value when creating custom attributes in a custom question theme
mod - application/controllers/admin/questions.php Diff File

Issue History

Date Modified Username Field Change
2018-03-21 21:32 tpartner New Issue
2018-03-21 21:32 tpartner Status new => assigned
2018-03-21 21:32 tpartner Assigned To => LouisGac
2018-03-21 21:32 tpartner File Added: autoComplete.zip
2018-03-21 21:32 tpartner File Added: capture-2.png
2018-03-21 21:32 tpartner File Added: capture-3.png
2018-05-15 15:43 LouisGac Assigned To LouisGac => dominikvitt
2018-05-16 13:36 dominikvitt Changeset attached => LimeSurvey master 08677d11
2018-05-16 13:42 dominikvitt Status assigned => resolved
2018-05-16 13:42 dominikvitt Resolution open => fixed
2018-05-16 13:42 dominikvitt Fixed in Version => 3.7.x
2018-05-16 13:42 dominikvitt Note Added: 47645
2018-05-22 15:04 olle Status resolved => closed